# Hinweise für den Versuch Schaltlogik

## Schaltung eines NOT- aus einem NOR-Gatter

Die Wahrheitstafel für das **NOR-Gatter** ist
$$
\begin{equation}
\begin{array}{cc|c}
    \mathrm{A} &   \mathrm{B} &   \mathrm{Y = \overline{A \lor B}} \\
    \hline
    \mathbf{0} &   \mathbf{0} &   \mathbf{1} \\
    0 &   1 &   0 \\
    1 &   0 &   0 \\
    \mathbf{1} &   \mathbf{1} &   \mathbf{0} \\
\end{array}
\end{equation}
$$
Dieses lässt sich zu einem **NOT-Gatter für den Eingang A** reduzieren, indem man die Bedingung 
$$
\begin{equation*}
A=B
\end{equation*}
$$
an den Eingängen A und B implementiert, wie aus den hervorgehobenen **Zeilen 1 und 4 der Wahrheitstafel in Gleichung (1)** zu erkennen ist. 

Man erhält das gleiche Ergebnis, für die Bedingung
$$
\begin{equation}
\begin{split}
&\begin{array}{cc|c}
    \mathrm{A} &   \mathrm{B} &   \mathrm{Y = \overline{A \lor B}} \\
    \hline
    \mathbf{0} &   \mathbf{0} &   \mathbf{1} \\
    0 &   1 &   0 \\
    \mathbf{1} &   \mathbf{0} &   \mathbf{0} \\
    1 &   1 &   0 \\
\end{array} \\
&\\
&\text{mit: } \mathrm{B=0},\\
\end{split}
\end{equation}
$$
wie in den hervorgehobenen **Zeilen 1 und 3 in der Wahrheitstafel aus Gleichung (2)** zu sehen ist.

## Schaltung eines NOT- aus einem NAND-Gatter

Ähnliche Bedingungen kann man ableiten, um das NAND- zu einem NOT-Gatter zu reduzieren, wie in Gleichungen **(3)** gezeigt:
$$
\begin{equation}
\begin{split}
&\begin{array}{cc|c}
    \mathrm{A} &   \mathrm{B} &   \mathrm{Y = \overline{A \land B}} \\
    \hline
    \mathbf{0} &   \mathbf{0} &   \mathbf{1} \\
    0 &   1 &   1 \\
    1 &   0 &   1 \\
    \mathbf{1} &   \mathbf{1} &   \mathbf{0} \\
\end{array}\\
&\\
&\text{mit: } \mathrm{A=B}\\
&\\
&\\
&\begin{array}{cc|c}
    \mathrm{A} &   \mathrm{B} &   \mathrm{Y = \overline{A \land B}} \\
    \hline
    0 &   0 &   1 \\
    \mathrm{0} &   \mathrm{1} &   \mathrm{1} \\
    1 &   0 &   1 \\
    \mathbf{1} &   \mathbf{1} &   \mathbf{0} \\
\end{array}\\
&\\
&\text{mit: } \mathrm{B=1}.\\
\end{split}
\end{equation}
$$


# Navigation

[Main](https://gitlab.kit.edu/kit/etp-lehre/p1-praktikum/students/-/tree/main/Schaltlogik)

